dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);

-- skewed block formation

LManager:AddTable(eTYPE_TABLE2, 380, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 150, 375);
LManager:AddTable(eTYPE_TABLE5, 330, 375);
LManager:AddTable(eTYPE_TABLE6, 510, 375);
LManager:AddTable(eTYPE_TABLE7, 100, 490);
LManager:AddTable(eTYPE_TABLE8, 280, 490);

LManager:AddCandle(165, 74, 20000);
LManager:AddCandle(285, 74, 20000);
LManager:AddCandle(576, 74, 20000);


seated = LManager.GenSeated(eTYPE_SEATED1);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED9);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED11);
seated.tableIdx = 7;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 43000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 113000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 123000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 181000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 219000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 250000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 33000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 49000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 107000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 213000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 256000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 272000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST11);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 27000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 55000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 101000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 129000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 175000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 208000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 259000;
guest.needs[8] = eWANT_DRINK;
guest.times[8] = 273000;
guest.needs[9] = eWANT_TALK;
guest.times[9] = 299000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST12);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 21000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 61000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 95000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 135000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 203000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 244000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 15000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 67000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 89000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 141000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 203000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 219000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 248000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 288000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 9000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 83000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 147000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 169000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 193000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 73000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 153000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 163000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 187000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 224000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 243000;
guest.needs[8] = eWANT_GIFT;
guest.times[8] = 273000;
LManager:AddGuest(guest);

LManager:SetLevelNumber(3,10);
LManager:SetLevelScores(11100, 11200);
LManager:SetLevelTime(45000);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();